WordPress.org

Ready to get started?Download WordPress

Plugin Directory

jQuery Archive List Widget

A simple jQuery widget (can be used in posts) for displaying an archive list with some effects.

2.2

  • Added support for HTTPS, now the plugin generates the correct link if HTTPS is being used, thanks to bridgetwes for the patch.
  • Added more expansion options, you can select if you want to expand: only on current date, current loaded post, both, none or all archives dates.
  • Added an option to show only posts from selected category when visiting a category page.

2.0.1

  • Added option to exclude categories when using shortcodes, just add categorie's ID separated by commas in the exclude attribute.
  • Solved bug of not including JS file when using a filter without any widget.
  • Solved bug of not including JS in some WP installlations under Windows.

2.0

  • Huge update thanks to donations! If you upgrade to this version you'll NEED to configurate the widget AGAIN, due to architecture rewriting configuration may get lost.
  • Added support for multiples instances, finally you can have as many widgets as you want without any hack :)
  • Added support for dynamic widgets.s
  • Added an option to not have any effect when expanding or collapsing.
  • Added an option to activate the expand/collapse only when clicking the bullet.
  • Removed dynamic generation of the JS file, now you don't need write permissions on the folder.
  • Rewroted JS code, now it is a single JS file for all instances, improved perfomance and compatible with all cache plugins.
  • Updated translation files for Spanish, Czech, Slovak and Italian.

1.4.2

  • Fixed some several bugs, thanks to Marco Lizza who reviewed the code and fixed them. Plugin should be more stable and won't throw errors when display_errors is on.

1.4.1

  • Solved Javascript bug where in some configurations, months and posts links were not working.

1.4

  • Updated i10n functions to WordPress 3.5, no more deprecations warning should appear with i10n stuff.
  • Solved the i10n bug of not transating the exclude categories label.
  • Improved Javascript code (please save again the configuration to take effect)
  • Better shortcode/filter support. now it has attributes for different behavior on instances. (There's no support for effect and symbol because it is managed through the JS file )

1.3

  • Improved query performance and added option to exclude categories. (thanks to Michael Westergaard for the work)

1.2.3

  • Fixing i18n bug due to new wordpress changes, now it loads your language (if it was translated) correctly.

1.2.2

  • Fixed the bug of wrong year displaying on pages.
  • JS code is not generated dynamically, now it generates in a separated file. For better performance and to support any minify plugins.

1.2.1

  • Improved generated HTML code to be more compatible when JS is off, also helps to search engines to navigate through archives pages.
  • Fixed a bug where in some cases a wrong year expanded at home page.
  • Added Slovak translation

1.2

  • Added option to automatically expand current year or post's year (thanks to Michael Westergaard for most of the work)
  • Cleaned code and make it more readable for future hacks from developers.

1.1.2

  • Changed plugin's JS file loading to the footer, so it doesn't affect your site's loading speed.
  • Added default value for widget's title. And it is included in translation files, so this can be used in multi-language sites.
  • Plugin translated to Czech (CZ) thanks to Tomas Valenta.

1.1.1

  • Removed   characters, all spacing should be done by CSS.

1.1

  • Added support for multiples instances (by writing [jQuery Archive List] on any Text widget)
  • Added support for WordPress' reading filters, like reading permissions using Role Scoper plugin (thanks to Ramiro GarcĂ­a for the patch)
  • Improved compatibility with WordPress 3.x

1.0

  • Added support for month's format
  • Now the jquery archive list can be printed from a post, just write [jQuery Archive List] anywhere inside the post.
  • Added support for i18n, so you can translate widget configuration's text to your language.
  • Separed JS code from HTML code, so browsers should cache JS content for faster processing.
  • Automatic loading of jQuery JS library.
  • Almost all code were rewritten for better maintainer and easy way to add new features.
  • Improved code to be more WordPress compatible.

0.1.3

= * Initial public version.

Requires: 3.0 or higher
Compatible up to: 3.8.3
Last Updated: 2014-1-1
Downloads: 30,112

Ratings

4 stars
4.8 out of 5 stars

Support

0 of 2 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

1 person says it works.
0 people say it's broken.

100,1,1 100,1,1
0,1,0
100,1,1
100,1,1 100,1,1
100,2,2
100,1,1
100,1,1
67,3,2 100,1,1
100,2,2
100,2,2 100,1,1
100,1,1
100,2,2 100,1,1 50,2,1
100,1,1 100,2,2 100,1,1
50,2,1
100,2,2
100,1,1 100,2,2
100,2,2
100,1,1 100,1,1 100,1,1
100,2,2
50,2,1
100,1,1
75,4,3
100,1,1